<?xml version="1.0" encoding="utf-8"?>
<form>
    <fieldset name="categories" addfieldpath="/administrator/components/com_jcomments/models/fields">
        <field
                name="enable_categories"
                type="category"
                size="15"
                addfieldpath="/administrator/components/com_categories/models/fields"
                extension="com_content"
                class="inputbox btn-group"
                default=""
                multiple="multiple"
                label="AP_CATEGORIES"
                description="AP_CATEGORIES_DESC">
            <option value="*">JOPTION_ALL_CATEGORIES</option>
        </field>
    </fieldset>

    <fieldset name="notifications" addfieldpath="/administrator/components/com_jcomments/models/fields">
        <field
                name="enable_notification"
                type="radio"
                class="inputbox btn-group radio"
                default="1"
                label="AP_ENABLE_NOTIFICATION"
                description="AP_ENABLE_NOTIFICATION_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="notification_type"
                type="list"
                class="inputbox btn-group"
                default=""
                multiple="multiple"
                label="AP_NOTIFICATION_TYPES"
                description="">
            <option value="1">AP_NOTIFICATION_TYPES_NOTIFICATIONS</option>
            <option value="2">AP_NOTIFICATION_TYPES_REPORTS</option>
        </field>

        <field
                name="notification_email"
                type="text"
                class="inputbox"
                default=""
                filter="string"
                label="AP_ENABLE_NOTIFICATION_EMAIL"
                description="AP_ENABLE_NOTIFICATION_EMAIL_DESC"/>

        <field
                name="enable_quick_moderation"
                type="radio"
                class="inputbox btn-group radio"
                default="1"
                label="AP_ENABLE_QUICK_MODERATION"
                description="AP_ENABLE_QUICK_MODERATION_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>
    </fieldset>

    <fieldset name="reports" addfieldpath="/administrator/components/com_jcomments/models/fields">
        <field
                name="enable_reports"
                type="radio"
                class="inputbox btn-group"
                default="1"
                label="AP_ENABLE_REPORTS"
                description="AP_ENABLE_REPORTS_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="reports_per_comment"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_MAX_REPORTS_PER_COMMENT"
                description="AP_MAX_REPORTS_PER_COMMENT_DESC"/>

        <field
                name="reports_before_unpublish"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_REPORTS_BEFORE_UNPUBLISH"
                description="AP_REPORTS_BEFORE_UNPUBLISH_DESC"/>

        <field
                name="report_reason_required"
                type="radio"
                class="inputbox btn-group"
                default="1"
                label="AP_REPORT_REASON_REQUIRED"
                description="AP_REPORT_REASON_REQUIRED_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>
    </fieldset>

    <fieldset name="misc">
        <field
                name="enable_rss"
                type="radio"
                class="inputbox btn-group"
                default="1"
                label="AP_ENABLE_RSS"
                description="AP_ENABLE_RSS_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="feed_limit"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_FEED_LIMIT"
                description="AP_FEED_LIMIT_DESC"/>

        <field
                name="enable_plugins"
                type="radio"
                class="inputbox btn-group"
                default="1"
                label="AP_USE_PLUGINS"
                description="AP_USE_PLUGINS_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="load_cached_comments"
                type="radio"
                class="inputbox btn-group"
                default="1"
                label="AP_ALWAYS_EMBED_COMMENTS_INTO_PAGE_SOURCE"
                description="AP_ALWAYS_EMBED_COMMENTS_INTO_PAGE_SOURCE_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="delete_mode"
                type="list"
                class="inputbox"
                default="0"
                label="AP_DELETE_MODE"
                description=""
                filter="integer">
            <option value="0">AP_DELETE_MODE_DELETE</option>
            <option value="1">AP_DELETE_MODE_MARK</option>
        </field>
    </fieldset>

    <fieldset name="view">
        <field
                name="template"
                type="JCommentsTemplate"
                class="inputbox"
                default="default"
                label="AP_TEMPLATE"
                description="AP_TEMPLATE_DESC"
                filter="string"/>

        <field
                name="enable_smilies"
                type="radio"
                class="inputbox btn-group"
                default="1"
                label="AP_ENABLE_SMILES"
                description="AP_ENABLE_SMILES_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="enable_custom_bbcode"
                type="radio"
                class="inputbox btn-group"
                default="0"
                label="AP_ENABLE_CUSTOM_BBCODE"
                description="AP_ENABLE_CUSTOM_BBCODE_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="enable_voting"
                type="radio"
                class="inputbox btn-group"
                default="0"
                label="AP_ENABLE_VOTING"
                description="AP_ENABLE_VOTING_DESC"
                filter="integer">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="display_author"
                type="list"
                class="inputbox"
                default="0"
                label="AP_DISPLAY_AUTHOR"
                description="AP_DISPLAY_AUTHOR_DESC"
                filter="string">
            <option value="name">AP_DISPLAY_AUTHOR_NAME</option>
            <option value="username">AP_DISPLAY_AUTHOR_USERNAME</option>
        </field>

    </fieldset>

    <fieldset name="list">
        <field
                name="template_view"
                type="list"
                class="inputbox"
                default="tree"
                label="AP_TEMPLATE_VIEW"
                description="AP_TEMPLATE_VIEW_DESC">
            <option value="list">AP_TEMPLATE_VIEW_LIST</option>
            <option value="tree">AP_TEMPLATE_VIEW_TREE</option>
        </field>

        <field
                name="comments_tree_order"
                type="list"
                class="inputbox"
                default="0"
                label="AP_TREE_ORDER"
                description="AP_TREE_ORDER_DESC">
            <option value="0">AP_TREE_ORDER_NATURAL</option>
            <option value="1">AP_TREE_ORDER_REVERSE</option>
            <option value="2">AP_TREE_ORDER_COMBINED</option>
        </field>

        <field
                name="comments_list_order"
                type="list"
                class="inputbox"
                default="tree"
                label="AP_LIST_ORDER"
                description="AP_LIST_ORDER_DESC">
            <option value="DESC">AP_LIST_ORDER_DESCENDING</option>
            <option value="ASC">AP_LIST_ORDER_ASCENDING</option>
        </field>

        <field
                name="comments_per_page"
                type="text"
                class="inputbox"
                default=""
                filter="integer"
                label="AP_COMMENTS_PER_PAGE"
                description="AP_COMMENTS_PER_PAGE_DESC"/>

        <field
                name="comments_page_limit"
                type="text"
                class="inputbox"
                default=""
                filter="integer"
                label="AP_COMMENTS_PAGE_LIMIT"
                description="AP_COMMENTS_PAGE_LIMIT_DESC"/>

        <field
                name="comments_pagination"
                type="list"
                class="inputbox"
                default="0"
                label="AP_PAGINATION"
                description="AP_PAGINATION_DESC">
            <option value="top">AP_PAGINATION_TOP</option>
            <option value="bottom">AP_PAGINATION_BOTTOM</option>
            <option value="both">AP_PAGINATION_BOTH</option>
        </field>
    </fieldset>

    <fieldset name="form" addfieldpath="/administrator/components/com_jcomments/models/fields">
        <field
                name="form_show"
                type="list"
                class="inputbox"
                default="0"
                label="AP_FORM_SHOW"
                description="AP_FORM_SHOW_DESC"
                filter="int">
            <option value="1">AP_FORM_SHOW_FORM</option>
            <option value="0">AP_FORM_SHOW_LINK</option>
            <option value="2">AP_FORM_SHOW_LINK_IF_ANY_COMMENTS_EXIST</option>
        </field>

        <field
                name="form_position"
                type="list"
                class="inputbox"
                default="0"
                label="AP_FORM_POSITION"
                description="AP_FORM_POSITION_DESC"
                filter="int">
            <option value="0">AP_FORM_POSITION_AFTER_COMMENTS</option>
            <option value="1">AP_FORM_POSITION_BEFORE_COMMENTS</option>
        </field>

        <field
                name="show_policy"
                type="usergroups"
                multiple="multiple"
                size="10"
                class="inputbox"
                default=""
                label="AP_SHOW_POLICY"
                description="AP_SHOW_POLICY_DESC"/>

        <field
                name="author_name"
                type="list"
                class="inputbox"
                default="2"
                label="AP_FORM_FIELD_AUTHOR_NAME"
                description="AP_FORM_FIELD_AUTHOR_NAME_DESC"
                filter="int">
            <option value="0">AP_FORM_FIELD_DISABLED</option>
            <option value="1">AP_FORM_FIELD_UNREQUIRED</option>
            <option value="2">AP_FORM_FIELD_REQUIRED_FOR_UNREGISTERED</option>
        </field>

        <field
                name="author_email"
                type="list"
                class="inputbox"
                default="2"
                label="AP_FORM_FIELD_AUTHOR_EMAIL"
                description="AP_FORM_FIELD_AUTHOR_EMAIL_DESC"
                filter="int">
            <option value="0">AP_FORM_FIELD_DISABLED</option>
            <option value="1">AP_FORM_FIELD_UNREQUIRED</option>
            <option value="2">AP_FORM_FIELD_REQUIRED_FOR_UNREGISTERED</option>
        </field>

        <field
                name="author_homepage"
                type="list"
                class="inputbox"
                default="0"
                label="AP_FORM_FIELD_AUTHOR_HOMEPAGE"
                description=""
                filter="int">
            <option value="0">AP_FORM_FIELD_DISABLED</option>
            <option value="1">AP_FORM_FIELD_UNREQUIRED</option>
            <option value="2">AP_FORM_FIELD_REQUIRED_FOR_UNREGISTERED</option>
            <option value="5">AP_FORM_FIELD_UNREQUIRED_FOR_GUESTS_HIDDEN_FOR_USERS</option>
            <option value="4">AP_FORM_FIELD_REQUIRED_FOR_GUESTS_HIDDEN_FOR_USERS</option>
            <option value="3">AP_FORM_FIELD_REQUIRED_FOR_ALL</option>
        </field>

        <field
                name="comment_title"
                type="list"
                class="inputbox"
                default="1"
                label="AP_FORM_FIELD_COMMENT_TITLE"
                description=""
                filter="int">
            <option value="0">AP_FORM_FIELD_DISABLED</option>
            <option value="1">AP_FORM_FIELD_UNREQUIRED</option>
            <option value="3">AP_FORM_FIELD_REQUIRED_FOR_ALL</option>
        </field>

        <field
                name="show_commentlength"
                type="radio"
                class="inputbox btn-group"
                default="0"
                filter="integer"
                label="AP_SHOW_COMMENTLENGTH"
                description="AP_SHOW_COMMENTLENGTH_DESC">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="captcha_engine"
                type="jcommentscaptcha"
                class="inputbox"
                default="kcaptcha"
                label="AP_FORM_FIELD_CAPTCHA"
                description="">
            <option value="kcaptcha">KCAPTCHA</option>
        </field>

    </fieldset>

    <fieldset name="restrictions">
        <field
                name="username_maxlength"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_USERNAME_MAXLENGTH"
                description="AP_USERNAME_MAXLENGTH_DESC"/>

        <field
                name="comment_minlength"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_COMMENT_MINLENGTH"
                description="AP_COMMENT_MINLENGTH_DESC"/>

        <field
                name="comment_maxlength"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_COMMENT_MAXLENGTH"
                description="AP_COMMENT_MAXLENGTH_DESC"/>

        <field
                name="word_maxlength"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_WORD_MAXLENGTH"
                description="AP_WORD_MAXLENGTH_DESC"/>

        <field
                name="link_maxlength"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_LINK_MAXLENGTH"
                description="AP_LINK_MAXLENGTH_DESC"/>

        <field
                name="flood_time"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_FLOOD_TIME"
                description="AP_FLOOD_TIME_DESC"/>

        <field
                name="enable_nested_quotes"
                type="radio"
                class="inputbox btn-group"
                default="0"
                filter="integer"
                label="AP_ENABLE_NESTED_QUOTES"
                description="AP_ENABLE_NESTED_QUOTES_DESC">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="merge_time"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_MERGE_TIME"
                description="AP_MERGE_TIME_DESC"/>

        <field
                name="max_comments_per_object"
                type="text"
                class="inputbox"
                default="0"
                filter="integer"
                label="AP_MAX_COMMENTS_PER_OBJECT"
                description="AP_MAX_COMMENTS_PER_OBJECT_DESC"/>

    </fieldset>

    <fieldset name="security">
        <field
                name="enable_username_check"
                type="radio"
                class="inputbox btn-group"
                default="1"
                filter="integer"
                label="AP_ENABLE_USERNAME_CHECK"
                description="AP_ENABLE_USERNAME_CHECK_DESC">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="enable_blacklist"
                type="radio"
                class="inputbox btn-group"
                default="0"
                filter="integer"
                label="AP_ENABLE_BLACKLIST"
                description="AP_ENABLE_BLACKLIST_DESC">
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>

        <field
                name="forbidden_names"
                type="textarea"
                class="inputbox span6"
                rows="8"
                cols="50"
                filter="raw"
                label="AP_FORBIDDEN_NAMES_LIST"
                description="AP_FORBIDDEN_NAMES_LIST_DESC"
                required="false"/>
    </fieldset>

    <fieldset name="censor" addfieldpath="/administrator/components/com_jcomments/models/fields">
        <field
                name="enable_autocensor"
                type="usergroups"
                multiple="multiple"
                size="10"
                class="inputbox"
                default=""
                label="AP_ENABLE_AUTOCENSOR"
                description=""/>

        <field
                name="badwords"
                type="textarea"
                class="inputbox span4"
                rows="3"
                cols="50"
                filter="raw"
                label="AP_BAD_WORDS_LIST"
                description="AP_BAD_WORDS_LIST_DESC"
                required="false"/>

        <field
                name="censor_replace_word"
                type="text"
                class="inputbox"
                default="[censored]"
                filter="string"
                label="AP_CENSOR_REPLACE_WORD"
                description=""/>
    </fieldset>

    <fieldset name="messages">
        <field
                name="message_policy_post"
                type="textarea"
                class="inputbox span4"
                rows="3"
                cols="50"
                filter="raw"
                label="A_MESSAGES_POLICY_POST"
                description="A_MESSAGES_POLICY_POST_DESC"
                required="false"/>

        <field
                name="message_policy_whocancomment"
                type="textarea"
                class="inputbox span4"
                rows="3"
                cols="50"
                filter="raw"
                label="A_MESSAGES_POLICY_WHOCANCOMMENT"
                description="A_MESSAGES_POLICY_WHOCANCOMMENT_DESC"
                required="false"/>

        <field
                name="message_locked"
                type="textarea"
                class="inputbox span4"
                rows="3"
                cols="50"
                filter="raw"
                label="A_MESSAGES_LOCKED"
                description="A_MESSAGES_LOCKED_DESC"
                required="false"/>

        <field
                name="message_banned"
                type="textarea"
                class="inputbox span4"
                rows="3"
                cols="50"
                filter="raw"
                label="A_MESSAGES_BANNED"
                description="A_MESSAGES_BANNED_DESC"
                required="false"/>
    </fieldset>
</form>